CALIBRE-SMTP(1)

NAME
calibre-smtp - calibre-smtp

    calibre-smtp [options] [from to text]

Envoyer des courriels en utilisant le protocole SMTP. calibre-smtp a deux modes d'opération. Dans le mode composer vous spécifiez l'expéditeur, le destinataire et le texte, ceux-ci sont utilisés pour élaborer et envoyer un message électronique. Dans le mode filtre, calibre-smtp lit un message électronique complet depuis STDIN et l'envoie.

le texte est le corps du message. Si le texte n'est pas spécifié, un message complet est lu depuis STDIN. de est l'adresse courriel de l'expéditeur et à est l'adresse courriel du destinataire. Quand un courriel complet est lu depuis STDIN, de et à sont uniquement utilisés dans la négociation SMTP, l'en-tête de message n'est pas modifié.

Chaque fois que vous passez à calibre-smtp des arguments comportant des espaces, entourez l’argument à l’aide de guillemets. Par exemple: "/some path/with spaces"

[OPTIONS]

--fork, -f
    Redirige et délivre le message en tâche de fond. Si vous utilisez cette option, vous devriez aussi aussi utiliser --outbox pour traiter les erreurs de livraison.

--help, -h
    affiche ce message d'aide et quitte

--localhost, -l
    Nom d'hôte de l'hôte local. Utilisé lors d'une connexion à un serveur SMTP.

--outbox, -o
    Chemin vers le dossier maildir où enregistrer les courriels qui ont échoué.

--timeout, -t
    Délai d'attente pour la connexion

--verbose, -v
    Soyez plus détaillé

--version
    affiche le numéro de version du logiciel et quitte

  COMPOSE MAIL

Options pour rédiger un courriel. Ignoré si le texte n'est pas spécifié

--attachment, -a
    Fichier à attacher au courriel

--subject, -s
    Sujet du courriel

  SMTP RELAY

Options pour utiliser un serveur de relais SMTP pour envoyer un courriel. calibre essayera d'envoyer un courriel directement à moins que --relay est spécifié.

--cafile
    Chemin d'accès à un fichier de certificats CA concaténés au format PEM, utilisé pour vérifier le certificat du serveur lors de l'utilisation de TLS. Par défaut, les certificats CA du système sont utilisés.

--dont-verify-server-certificate
    Ne vérifiez pas le certificat de serveur lors de la connexion à l'aide de TLS. C'était le comportement par défaut dans les versions de calibre antérieures à 3.27. Si vous utilisez un relais avec un certificat auto-signé ou autre certificat invalide, vous pouvez utiliser cette option pour restaurer le comportement d'avant la version 3.27.

--encryption-method, -e
    Méthode de cryptage à utiliser lors de la connection à un relais. Les choix sont TLS, SSL et AUCUN. L'option par défaut est TLS. ATTENTION : choisir AUCUN est très risqué

--password, -p
    Mot de passe pour le relais

--port
    Port pour se connecter à un serveur relais. L'option par défaut est d'utiliser le 465 si la méthode de cryptage est le SSL et 25 autrement.

--relay, -r
    Un serveur de relais SMTP à utiliser pour envoyer un courriel.

--username, -u
    Nom d'utilisateur pour le relais

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal